Reports module
Endpoints
Endpoints for managing Reportings
GET
/reportschedules Returns collection of Report schedule resources
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/reportschedules HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 3522,
"created_at": "2019-09-29 22:47:13",
"culture": 6,
"description": "value",
"emails": "value",
"end_at": "2019-09-29 22:46:29",
"format": 1,
"frequency": "value",
"last_run_at": "2019-09-29 22:39:17",
"name": "value",
"next_run_at": "2019-09-29 22:42:36",
"report_id": 4780,
"start_at": "2019-09-29 22:52:14",
"status": 0,
"timezone": "value",
"tz": "value"
}
],
"total": 59
}
POST
/reportschedules Creates new Report schedule resource
Parameters
JSON body attributes:
report_id integer
name string
description string
emails array
Array of emails
Array of emails
format string
culture string
start_at date
end_at date
status string
frequency array
Array of frequency config options
Array of frequency config options
tz string
timezone string
Example Request
POST /v1.1/voipstudio/reportschedules HTTP/1.1
Host: l7api.com
{
"report_id": 577,
"name": "abcd",
"description": "abcd",
"emails": [
"john@example.com",
"mike@w3c.com"
],
"format": "abcd",
"culture": "abcd",
"start_at": "2026-06-03",
"end_at": "2026-06-03",
"status": "abcd",
"frequency": {
"type": "W",
"time_of_day": [
10
],
"day_of_week": [
1,
5
],
"day_of_month": []
},
"tz": "abcd",
"timezone": "abcd"
}
Responses
201 Success
400 Validation error
401 Unauthorized
400 Validation error
401 Unauthorized
Example Response
HTTP/1.1 201 OK
Content-Type: application/json
{
"data": {
"id": 2349,
"created_at": "2016-10-10 11:13:06",
"culture": 3,
"description": "value",
"emails": "value",
"end_at": "2016-10-10 11:05:03",
"format": 0,
"frequency": "value",
"last_run_at": "2016-10-10 11:16:30",
"name": "value",
"next_run_at": "2016-10-10 11:05:17",
"report_id": 6088,
"start_at": "2016-10-10 11:06:34",
"status": 0,
"timezone": "value",
"tz": "value"
},
"links": {}
}
GET
/reportschedules/{id} Returns Report schedule resource for given Id
Parameters
Endpoint URL:
{id} integerReportSchedule2 identifier
Example Request
GET /v1.1/voipstudio/reportschedules/46 HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 9032,
"created_at": "2017-02-27 12:15:25",
"culture": 1,
"description": "value",
"emails": "value",
"end_at": "2017-02-27 12:24:28",
"format": 1,
"frequency": "value",
"last_run_at": "2017-02-27 12:24:21",
"name": "value",
"next_run_at": "2017-02-27 12:15:49",
"report_id": 5764,
"start_at": "2017-02-27 12:29:10",
"status": 1,
"timezone": "value",
"tz": "value"
},
"links": {}
}
PATCH
/reportschedules/{id} Updates existing Report schedule resource
Parameters
Endpoint URL:
{id} integerReportSchedule2 identifier
JSON body attributes:
report_id integer
name string
description string
emails array
Array of emails
Array of emails
format string
culture string
start_at date
end_at date
status string
frequency array
Array of frequency config options
Array of frequency config options
tz string
timezone string
Example Request
PATCH /v1.1/voipstudio/reportschedules/32 HTTP/1.1
Host: l7api.com
{
"report_id": 261,
"name": "abcd",
"description": "abcd",
"emails": [
"john@example.com",
"mike@w3c.com"
],
"format": "abcd",
"culture": "abcd",
"start_at": "2026-06-03",
"end_at": "2026-06-03",
"status": "abcd",
"frequency": {
"type": "W",
"time_of_day": [
10
],
"day_of_week": [
1,
5
],
"day_of_month": []
},
"tz": "abcd",
"timezone": "abcd"
}
Responses
200 Success
400 Validation error
401 Unauthorized
403 Access denied
404 Resource not found
400 Validation error
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 7050,
"created_at": "2017-02-04 22:39:51",
"culture": 0,
"description": "value",
"emails": "value",
"end_at": "2017-02-04 22:31:08",
"format": 0,
"frequency": "value",
"last_run_at": "2017-02-04 22:33:38",
"name": "value",
"next_run_at": "2017-02-04 22:38:59",
"report_id": 8601,
"start_at": "2017-02-04 22:34:24",
"status": 0,
"timezone": "value",
"tz": "value"
},
"links": {}
}
DELETE
/reportschedules/{id} Deletes existing Report schedule resource
Parameters
Endpoint URL:
{id} integerReportSchedule2 identifier
Example Request
DELETE /v1.1/voipstudio/reportschedules/34 HTTP/1.1 Host: l7api.com
Responses
204 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 204 OK
GET
/reportschedules/dictionaries Returns Dictionary for Report schedule resource
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/reportschedules/dictionaries HTTP/1.1 Host: l7api.com
Responses
200 Success
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 2799,
"created_at": "2018-01-23 04:50:47",
"culture": 2,
"description": "value",
"emails": "value",
"end_at": "2018-01-23 04:41:52",
"format": 0,
"frequency": "value",
"last_run_at": "2018-01-23 04:53:39",
"name": "value",
"next_run_at": "2018-01-23 04:48:25",
"report_id": 6433,
"start_at": "2018-01-23 04:52:23",
"status": 0,
"timezone": "value",
"tz": "value"
}
],
"total": 59
}